{% extends "admin_base.html" %}

{% block content %}



<div class="row">
    <div id="form">
        <div class="col-md-6">

            <form method="post">
                <div class="form-group">

                    Name
                    <input  name="name" type="text" value="{{u.name}}"  class="form-control" id="name">
                    Cell number
                    <input  name="cell_no"  type="tel" value="{{u.cell_no}}" class="form-control" id="cell_no">

                    <div class="checkbox">
                        <label><input name="admin" type="checkbox" {% if u.is_admin %} checked {% endif %} >Admin</label>
                    </div>

                    <div class="checkbox">
                        <label><input name="driver" type="checkbox" {% if u.is_driver %} checked {% endif %} >Is Driver</label>
                    </div>
                    <div class="checkbox">
                        <label><input name="recurring_billing" type="checkbox" {% if u.recurring_billing %} checked {% endif %} >Enable recurring billing</label>
                    </div>

                     <div class="checkbox">
                        <label><input name="archive" type="checkbox" {% if u.archived %} checked {% endif %} >Archived</label>
                    </div>

                </div>
                <button style="width:100%; border: 2px solid #f4c535;" class="btn" type="submit" value="Submit">Save changes</button>
            </form>
        </div>
        <div class="col-md-6">

        
            <h1 class="titles">Additional info </h1>

            Email
            <p>{{u.email}}</p>

            Code
            <p>{{u.friendly_id}}</p>
            Last seen
            <p>{{u.last_seen.strftime("%c")}}</p>

            Credit card token
            <p>{{u.peach_reg_id}}</p>
            Address
            {% if u.address %}
            <p>{{u.address.full_name}}</p>
            {% endif %}


        <h1 class="titles">Shopping actions </h1>
        <a style="width:100%; border: 2px solid #f4c535;" class="btn btn-default" href="/management/web-store2?client_id={{u.key.id()}}">Add to client shopping cart</a>
        <br>
        {% if shopping_cart_info %}
              <table class="table table-hover">
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Price</th>
                        <th>Remove</th>
                    </tr>
                </thead>
                <tbody>
                    {% for item in shopping_cart_info.cart_items %}
                        <tr>
                            <td>{{item.name}}</td>
                            <td>R {{item.price}}</td>
                            <td><a style="width:50%; border: 2px solid #f4c535;" class="btn btn-default" href="/users/{{u.key.id()}}/remove-baskets/{{item.id}}">Remove</a></td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
            <p>User has a shopping cart with {{shopping_cart_info.item_count}} items totaling R {{shopping_cart_info.total}}</p>
            <a style="width:100%; border: 2px solid #f4c535;" class="btn btn-default" href="/users/{{u.key.id()}}/checkouts">Checkout</a>
        {% endif %}
        </div>



    </div>
</div>



<div class="row">
    <div id="form">
        <div class="col-md-12">
            <h1 class="titles">Client payments</h1>

            <table class="table table-hover">
                <thead>
                    <tr>
                        <th>Date</th>
                        <th>Amount</th>
                        <th>Reference</th>
                        <th>Payment type</th>
                        <th>Card holder (for CC only)</th>
                        <th>Download invoice</th>
                    </tr>
                </thead>

                <tbody>
                    {% for p in payments %}
                    <tr data-toggle="collapse" data-target="#accordion{{p.id}}" class="clickable">
                        <td>{{p.created}}</td>
                        <td>{{p.total}}</td>
                        <td>{{p.merchant_ref}}</td>
                        <td>{{p.payment_type}}</td>
                        <td>{{p.holder}}</td>
                        <td>
                            <a style="width:100%; border: 2px solid #f4c535;" class="btn btn-default" href="/paid-invoices/{{p.id}}">Download invoice</a>
                        </td>
                    </tr>

                    <tr>
                        <td colspan="5">
                            <div id="accordion{{p.id}}" class="collapse">


                                <table class="table table-bordered">
                                    <thead>
                                        <tr>
                                            <th data-field="name" data-sortable="true"> 
                                                Date created </th>
                                            <th data-field="name" data-sortable="true"> 
                                                Date paid </th>
                                            <th data-field="name" data-sortable="true"> Price </th>
                                            <th data-field="name" data-sortable="true"> Item/Unit </th>
                                            <th data-field="name" data-sortable="true"> Details  </th>
                                            <th data-field="name" data-sortable="true"> Status </th>
                                            <th data-field="name" data-sortable="true"> Our ref </th>
                                            <th data-field="name" data-sortable="true"> EFT ID </th>
                                            <th data-field="name" data-sortable="true"> Credit card ID </th>
                                            <th data-field="name" data-sortable="true"> CANCELLED </th>

                                        </tr>
                                    </thead>
                                    <tbody>
                                        {% for c in p.charge_dicts %}
                                        <tr>
                                            <td>
                                                {{c.created}}

                                            </td>
                                            <td>
                                                {{c.pay_date}}

                                            </td>
                                            <td>
                                                {{c.amount}}

                                            </td>
                                            <td>
                                                {% if c.unit_name == 'Order' %}
                                                <a href="/orders/{{c.unit_id}}">View Order</a>

                                                {% elif c.unit_name == "Delivery" %}
                                                {{c.unit_name}}
                                                {% else %}
                                                <a href="/units/{{c.unit_id}}">{{c.unit_name}}</a>
                                                {% endif %}

                                            </td>

                                            <td>
                                                {{c.details}}

                                            </td>
                                            <td>
                                                {% if c.status == 'PAID' %}

                                                <p style="color:green; font-size: 20px;"><span   class="glyphicon glyphicon-ok"></span> PAID</p>   


                                                {% elif c.status == 'CANCELLED' %}
                                                <p style="color:orange; font-size: 20px;"><span  class="glyphicon glyphicon-minus"></span> CANCELLED</p>   

                                                {% else %}
                                                <p style="color:red; font-size: 20px;"><span  class="glyphicon glyphicon-remove"></span> UNPAID</p>  
                                                {% endif %}
                                            </td>
                                            <td>
                                                {{c.merchant_ref}}

                                            </td>
                                            <td>
                                                {{c.eft_id}}

                                            </td>

                                            <td>
                                                {{c.peach_id}}

                                            </td>
                                            <td>
                                                {{c.archived}}

                                            </td>




                                        </tr>

                                        {% endfor %}

                                    </tbody>
                                    <tfoot>
                                        <tr>
                                        </tr>
                                    </tfoot>
                                </table>








                            </div>
                        </td>
                    </tr>

                    {% endfor %}
                </tbody>
            </table>






        </div>

    </div>
</div>

<div class="row">
    <div id="form">
        <div class="col-md-12">
            <h1 class="titles">Client charges</h1>
            <a style="width:100%; border: 2px solid #f4c535;" class="btn btn-default" href="/proforma-invoices/{{u.key.id()}}">Download invoice for all outstanding charges</a>
  <a style="width:100%; border: 2px solid #f4c535;" class="btn btn-default" href="/users/invoices/reminders/{{u.key.id()}}?sms=true">Send SMS reminder of total outstanding charges</a>
     <table id="client_charges_table" class="table table-hover">
                <thead>
                    <tr>
                        <th>Date</th>
                        <th>Pay date</th>
                        <th>Amount</th>
                         <th>Details</th>
                          <th>Admin comment (Not visible to client)</th>
                           <th>Status</th>
                            <th>Edit</th>
                       
                    </tr>
                </thead>

                <tbody>
                  {% for c in charges_dicts %}
                    <tr data-toggle="collapse" data-target="#accordion{{c.id}}" class="clickable">

                        <td>{{c.created.strftime("%Y/%m/%d")}}</td>
                        <td>{{c.pay_date}}</td>
                        <td>{{c.amount}}</td>
                         <td>{{c.details}}</td>
                          <td>{{c.comment}}</td>
                          <td>
                              
                                          
                                                {% if c.status == 'PAID' %}

                                                <p style="color:green; font-size: 20px;"><span   class="glyphicon glyphicon-ok"></span> PAID</p>   


                                                {% elif c.status == 'CANCELLED' %}
                                                <p style="color:orange; font-size: 20px;"><span  class="glyphicon glyphicon-minus"></span> CANCELLED</p>   

                                                {% else %}
                                                <p style="color:red; font-size: 20px;"><span  class="glyphicon glyphicon-remove"></span> UNPAID</p>  
                                                {% endif %}
                          </td>
                           <td>
               <a  style=" border: 2px solid #f4c535;" class='btn' href="/edit-charges/{{c.id}}">Edit charge</a><br>

            </td>
                    </tr>

                    <tr>
                        <td colspan="7">
                            <div id="accordion{{c.id}}" class="collapse">


                            
<div class="row">
    <div id="form">
        <div class="col-md-4">

                                                <h3>Item/Unit</h3>
                                                {% if c.unit_name == 'Order' %}
                                                <a href="/orders/{{c.unit_id}}">View Order</a>

                                                {% elif c.unit_name == "Delivery" %}
                                                {{c.unit_name}}
                                                {% else %}
                                                <a href="/units/{{c.unit_id}}">{{c.unit_name}}</a>
                                                {% endif %}

                                           
                                                <h3>Our ref</h3>
                                         
                                                {{c.merchant_ref}}

                                           <h3>EFT ID</h3>
                                                {{c.eft_id}}

                                              <h3>Credit card ID</h3>
                                                {{c.peach_id}}

                                            <h3>Cancelled</h3>
                                                {{c.archived}}


                        <h3>Reminders</h3>
                        {% if c.status == 'PAID' %}
                        N/A
                        {% elif c.status == 'CANCELLED' %}
                        N/A
                        {% else %}
                        <a style="width:100%; border: 2px solid #f4c535;" class="btn btn-default"  href="/users/invoices/reminders/{{c.id}}">Send Email</a>
                        {% endif %}


                   
                        <a style="width:100%; border: 2px solid #f4c535;" class="btn btn-default" href="/users/invoices/reminders/{{c.id}}?sms=true">Send SMS</a>


                  <h3>Download invoice</h3>
                        <a style="width:100%; border: 2px solid #f4c535;" class="btn btn-default" href="/invoices/{{c.id}}">Download invoice</a>
                  <h3>Cancellation</h3>
                   <div class="well">
                        <form action="/cancel-charges/{{c.id}}" method="GET">
                            <div class="form-group">
                                Reason
                                <input  name="reason"  type="text" value="Admin cancellation" class="form-control" id="reason">

                            </div>
                            <button style="width:100%; border: 2px solid #f4c535;" class="btn" type="submit" value="Submit">Cancel charge</button>
                        </form>
                    </div>
                    <div class="well">
                        <h3>Mark as paid</h3>
                        <form action="/mark-paid-charges/{{c.id}}" method="GET">
                            <div class="form-group">
                                Peach ID
                                <input required  name="peach_id"  type="text" class="form-control" id="peach_id">
                                 <div class="checkbox">
                        <label><input name="eft" type="checkbox" >EFT payment</label>
                    </div>
                            </div>
                            <button style="width:100%; border: 2px solid #f4c535;" class="btn" type="submit" value="Submit">Mark as paid</button>
                        </form>
                    </div>
                 <div class="well">
                     <h3>Mark as unpaid</h3>
                        <form action="/mark-unpaid-charges/{{c.id}}" method="GET">
                            <div class="form-group">
                            </div>
                            <button style="width:100%; border: 2px solid #f4c535;" class="btn" type="submit" value="Submit">Mark as unpaid</button>
                        </form>
                    </div>
                  


                                       

                                      
</div></div></div>
                               

                            </div>
                        </td>
                    </tr>

                    {% endfor %}
                </tbody>
            </table>
        </div></div></div>



<!-- <div class="row">

    <div class="col-md-12">


        <h1 class="titles">Client charges</h1>

        <table class="table display responsive" id="myitems_table"  cellspacing="0" width="100%">
            <thead>
                <tr>
                    <th data-field="name" data-sortable="true"> Date created </th>
                    <th data-field="name" data-sortable="true"> Date paid </th>
                    <th data-field="name" data-sortable="true"> Price </th>
                    <th data-field="name" data-sortable="true"> Item/Unit </th>
                    <th data-field="name" data-sortable="true"> Details  </th>
                    <th data-field="name" data-sortable="true"> Admin Comment </th>
                    <th data-field="name" data-sortable="true"> Status </th>
                    <th data-field="name" data-sortable="true"> Our ref </th>
                    <th data-field="name" data-sortable="true"> EFT ID </th>
                    <th data-field="name" data-sortable="true"> Credit card ID </th>
                    <th data-field="name" data-sortable="true"> CANCELLED </th>
                    <th data-field="name" data-sortable="true"> Send Invoice </th>
                    <th data-field="name" data-sortable="true"> Send reminder SMS </th>
                    <th data-field="name" data-sortable="true"> Download Invoice </th>
                    <th data-field="name" data-sortable="true"> Cancel charge </th>
                    <th data-field="name" data-sortable="true"> Mark as paid </th>
                    <th data-field="name" data-sortable="true"> Mark as unpaid </th>
                </tr>
            </thead>
            <tbody>
                {% for c in charges_dicts %}
                <tr>
                    <td>{{c.created}}</td>
                    <td>{{c.pay_date}}</td>
                    <td>{{c.amount}}</td>
                    <td>
                        {% if c.unit_name == 'Order' %}
                        <a href="/orders/{{c.unit_id}}">View Order</a>
                        {% elif c.unit_name == "Delivery" %}
                        {{c.unit_name}}
                        {% else %}
                        <a href="/units/{{c.unit_id}}">{{c.unit_name}}</a>
                        {% endif %}
                    </td>
                    <td>{{c.details}}</td>
                    <td>{{c.comment}}</td>
                    <td>
                        {% if c.status == 'PAID' %}
                        <p style="color:green; font-size: 20px;"><span   class="glyphicon glyphicon-ok"></span> PAID</p>   
                        {% elif c.status == 'CANCELLED' %}
                        <p style="color:orange; font-size: 20px;"><span  class="glyphicon glyphicon-minus"></span> CANCELLED</p>   
                        {% else %}
                        <p style="color:red; font-size: 20px;"><span  class="glyphicon glyphicon-remove"></span> UNPAID</p>
                        {% endif %}
                    </td>
                    <td>{{c.merchant_ref}}</td>
                    <td>{{c.eft_id}}</td>
                    <td>{{c.peach_id}}</td>
                    <td>{{c.archived}}</td>
                    <td>
                        {% if c.status == 'PAID' %}
                        N/A
                        {% elif c.status == 'CANCELLED' %}
                        N/A
                        {% else %}
                        <a style="width:100%; border: 2px solid #f4c535;" class="btn btn-default"  href="/users/invoices/reminders/{{c.id}}">Send Email</a>
                        {% endif %}
                    </td>
                    <td>
                        <a style="width:100%; border: 2px solid #f4c535;" class="btn btn-default" href="/users/invoices/reminders/{{c.id}}?sms=true">Send SMS</a>
                    </td>
                    <td>
                        <a style="width:100%; border: 2px solid #f4c535;" class="btn btn-default" href="/invoices/{{c.id}}">Download invoice</a>
                    </td>
                    <td>
                        <form action="/cancel-charges/{{c.id}}" method="GET">
                            <div class="form-group">
                                Reason
                                <input  name="reason"  type="text" value="Admin cancellation" class="form-control" id="reason">

                            </div>
                            <button style="width:100%; border: 2px solid #f4c535;" class="btn" type="submit" value="Submit">Cancel charge</button>
                        </form>
                    </td>
                    <td>
                        <form action="/mark-paid-charges/{{c.id}}" method="GET">
                            <div class="form-group">
                                Peach ID
                                <input required  name="peach_id"  type="text" class="form-control" id="peach_id">
                                 <div class="checkbox">
                        <label><input name="eft" type="checkbox" >EFT payment</label>
                    </div>
                            </div>
                            <button style="width:100%; border: 2px solid #f4c535;" class="btn" type="submit" value="Submit">Mark as paid</button>
                        </form>
                    </td>

                    <td>
                        <form action="/mark-unpaid-charges/{{c.id}}" method="GET">
                            <div class="form-group">
                            </div>
                            <button style="width:100%; border: 2px solid #f4c535;" class="btn" type="submit" value="Submit">Mark as unpaid</button>
                        </form>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>


    </div>

</div> -->




<div class="row">
    <div id="form">
        <div class="col-md-8">
            <h1 class="titles">Client Pods</h1>
            <table class="table display responsive" id="myitems_table"  cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th data-field="name" data-sortable="true"> 
                            Unit name </th>
                        <th data-field="name" data-sortable="true"> dropoff date </th>
                        <th data-field="name" data-sortable="true"> pickup date </th>
                        <th data-field="name" data-sortable="true"> address </th>
                        <th data-field="name" data-sortable="true"> outstanding charges </th>
                        <th data-field="name" data-sortable="true">  next charge date </th>

                        <th data-field="name" data-sortable="true"> Status </th>
                         <th data-field="name" data-sortable="true"> Gate invite </th>
                    </tr>
                </thead>
                <tbody>
                    {% for u in units %}
                    <tr>
                        <td>
                            <a href="/units/{{u.unit_id}}">
                                {{u.unit_name}}</a>
                        </td>
                        <td>{{u.dropoff_date}}
                        </td>
                        <td>{{u.pickup_date}}
                        </td>
                        <td>{{u.delivery_address}}
                        </td>
                        <td>R{{u.outstanding_charges}}
                        </td>
                        <td>{{u.term_end.strftime("%c")}}
                        </td>
                        <td>{{u.status}}
                        </td>
                        <td>
                              {% if u.has_gate %}
           
              <a  style="border: 2px solid #f4c535;" class='btn' href="/units/send-gate-invite/{{u.unit_id}}">SEND GATE INVITE </a>
            
          {% endif %}


                        </td>
                    </tr>
                    {% endfor %}
                </tbody>
                <tfoot>
                    <tr>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>
</div>


<div class="row">
    <div id="form">


        <div class="col-md-12">
            <h1 class="titles">Client Orders</h1>
            <table class="table display responsive" id="my_payments_table"  cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th data-field="name" data-sortable="true"> 
                            Date created </th>
                        <th data-field="name" data-sortable="true">Total items </th>
                        <th data-field="name" data-sortable="true"> Total (R) </th>
                         <th data-field="name" data-sortable="true"> Total (R) BETA </th>
                        <th data-field="name" data-sortable="true"> Order reference  </th>
                        <th data-field="name" data-sortable="true"> Order status  </th>
                        <th data-field="name" data-sortable="true"> View </th>
                        <th data-field="name" data-sortable="true"> Cancel </th>




                    </tr>
                </thead>
                <tbody>
                    {% for o in orders %}
                    <tr>
                        <td>
                            {{o.created}}

                        </td>
                        <td>
                            {{o.item_count}}

                        </td>
                        <td>
                            {{o.total_charge}}

                        </td>
                          <td>
                            {{o.total}}

                        </td>

                        <td>
                            {{o.order_ref}}

                        </td>
                        <td>
                            {{o.status}}

                        </td>
                        <td>
                            <a href='/orders/{{o.id}}'>View</a>
                        </td>
                        <td>

                            <a href="/cancel-order/{{o.id}}" onclick="return confirm('Are you sure?')">Cancel</a>
                        </td>

                    </tr>

                    {% endfor %}

                </tbody>
                <tfoot>
                    <tr>
                    </tr>
                </tfoot>
            </table>


        </div>

    </div>
</div>


<div class="row">
    <div id="form">


        <div class="col-md-12">
            <h1 class="titles">Client Communications</h1>
            <table class="table display responsive" id="client_comms_table"  cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th data-field="name" data-sortable="true"> 
                            Date created </th>
                        <th data-field="name" data-sortable="true"> 
                            Medium </th>
                        <th data-field="name" data-sortable="true"> 
                            Content </th>
                        <th data-field="name" data-sortable="true"> 
                            Service ID </th>
                    </tr>
                </thead>
                <tbody>
                    {% for c in comms %}
                    <tr>
                        <td>{{c.created.strftime("%Y/%m/%d")}}</td>
                        <td>
                            {{c.medium}} 
                            {% if c.medium == "EMAIL" %}
                            {{c.owner_key.get().email}}
                            {% else %}
                            {{c.owner_key.get().cell_no}}
                            {% endif %}
                        </td>
                        <td>{{c.content}}</td>
                        <td>{{c.service_uid}}</td>
                    </tr>

                    {% endfor %}

                </tbody>
                <tfoot>
                    <tr>
                    </tr>
                </tfoot>
            </table>


             <h2 class="">Owner Logs</h2>

  <table class="table display responsive" id=""  cellspacing="0" width="100%">
    <thead>
        <tr>
            <th data-field="name" data-sortable="true">Created Date</th>
            <th data-field="name" data-sortable="true">Activity description</th>
            <th data-field="name" data-sortable="true"> User</th>
            <th data-field="name" data-sortable="true"> Unit</th>
            <th data-field="name" data-sortable="true"> Category</th>
        </tr>
    </thead>
    <tbody>
        {% if logs %}
            {% for log in logs %}
                <tr>
                    <td>
                        {{log.created}}
                    </td>
                    <td>
                        {{log.description}}
                    </td>
                    <td>
                        <a href="/users/{{log.user_id}}">{{log.user_name}}</a>   
                    </td>
                    <td>
                        <a href="/units/{{log.unit_id}}">{{log.unit_name}}</a>
                    </td>
                     <td>
                        {{log.category}}
                    </td>
                </tr>
            {% endfor %}
        {% endif %}
    </tbody>
    <tfoot>
        <tr>
        </tr>
    </tfoot>
</table>


        </div>

    </div>
</div>

{% endblock %}


{% block scripts %}
<script type="text/javascript">

  $( document ).ready(function() {
       
    });

  
</script>

{% endblock %}
